Create subscription

Create one or more webhook subscriptions for event notifications by selecting an event type, event version, resource name, and providing a destination event URL.

Use the Get Event Types API to retrieve available event types, versions, and resource names. Configure the eventUrl to receive notifications.

URL authentication options

  • If authMethod is BASIC_AUTH, Walmart passes an authentication header to the eventUrl using authHeaderName as the header key and the Base64-encoded userName:password as the value.
  • If authMethod is HMAC, Walmart passes an authentication header to the eventUrl using authHeaderName as the header key and HMACSHA256 of the complete response as the value, with clientSecret as the key.
  • If authMethod is OAUTH, Walmart makes a POST call to authUrl to generate a token with request body "grant_type=client_credentials" and headers:
    (1) Authorization header using authHeaderName as the key and Base64-encoded clientId:clientSecret as the value, (2) Accept: "application/json; charset=UTF-8", (3) Content-Type: "application/x-www-form-urlencoded; charset=ISO-8859-1", and (4) any custom headers provided in headers. The authUrl must return HTTP 200 with access_token and expires_in fields. When sending notifications to eventUrl, Walmart includes the access_token in headers using authHeaderName as the key and value "Bearer <access_token>", along with any custom headers provided in headers.

Market availability: Global

Body Params

Request body parameters for creating one or more subscriptions.

events
array of objects

Array of subscription definitions to create.

events
Headers
string
required

Access token obtained from the Token API. This is required for authenticating requests to Walmart Marketplace APIs.
Market availability: Global

string

A unique ID to identify the consumer request by channel. Use the Consumer Channel Type received during onboarding.
Market availability: Global

string
required

A unique ID that identifies each API call and is used to track and debug issues. Use a randomly generated GUID for this ID.
Market availability: Global

string
required

Name of the Walmart service being called.
Market availability: Global

string
enum
required

Identifies the Walmart Marketplace region for the request. If not specified, US is used by default.
Market availability: Global

Allowed:
string
enum
required

Indicates the global version of the API.
Market availability: Global

Allowed:
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json